Bug 1008673 - Superfluous nectar.log file is created, but not used.
Superfluous nectar.log file is created, but not used.
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
Master
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.3.0
Assigned To: Jason Connor
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 15:53 EDT by Jason Connor
Modified: 2014-03-30 21:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:30:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Connor 2013-09-16 15:53:28 EDT
Description of problem:
There is an /var/log/pulp/nectar.log file, but no messages are ever logged into it.

The messages from nectar are always routed into the /var/log/pulp/pulp.log file.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install pulp
2. Run any pulp operation that uses nectar (notably: sync)
3. Observer that the nectar.log file remains empty

Actual results:
Empty and misleading log file

Expected results:
No extraneous log file

Additional info:
Comment 1 Jason Connor 2013-09-17 18:30:30 EDT
Discovered messages from the nectar packages did not have their own logger defined (instead, only messages from the requests package was using the nectar log file)

Added config entry that directs messages from the nectar package to the nectar log  file.

Fix in branch jconnor-1008673-unused-nectar-log-file
Comment 2 Jeff Ortel 2013-09-18 19:58:52 EDT
build: 2.3.0-0.14.alpha
Comment 3 Preethi Thomas 2013-09-19 11:11:03 EDT
verified
[root@pulp-v2-server ~]# rpm -qa python-nectar
python-nectar-1.1.1-1.el6.noarch
[root@pulp-v2-server ~]# rpm -qa pulp-server
pulp-server-2.3.0-0.14.alpha.el6.noarch


[root@pulp-v2-server ~]# tail -f /var/log/pulp/nectar.log 
2013-09-19 12:17:54,867 urllib3.connectionpool:INFO: Starting new HTTPS connection (1): cdn.redhat.com
2013-09-19 12:17:55,255 urllib3.connectionpool:INFO: Starting new HTTPS connection (1): cdn.redhat.com
2013-09-19 12:17:55,257 urllib3.connectionpool:INFO: Starting new HTTPS connection (1): cdn.redhat.com
2013-09-19 12:17:55,258 urllib3.connectionpool:INFO: Starting new HTTPS connection (1): cdn.redhat.com
2013-09-19 12:17:55,260 urllib3.connectionpool:INFO: Starting new HTTPS connection (1): cdn.redhat.com
2013-09-19 12:17:55,262 urllib3.connectionpool:INFO: Starting new HTTPS connection (1): cdn.redhat.com
Comment 4 Preethi Thomas 2013-12-09 09:30:43 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.